### Class: serviceproxymetadata = new ServiceProxyMetadata()

Metadata for a service proxy

Properties

Name | Type | Default Value | Flags | Description
--- | --- | --- | --- | ---
dataSource | `juggler.DataSource` |  | exported optional | Metadata for a service proxy
dataSourceName | `undefined | string` |  | exported optional | Metadata for a service proxy
decorator | `string` | "@serviceProxy" | exported | Metadata for a service proxy

#### constructor(dataSource: string | DataSource) : ServiceProxyMetadata

Parameters

Name | Type | Default Value | Flags | Description
--- | --- | --- | --- | ---
dataSource | `string | DataSource` |  |  | Metadata for a service proxy

### const SERVICE_PROXY_KEY = MetadataAccessor.create< string, ServiceProxyDecorator >('service.proxy')

### Function: serviceProxy

#### serviceProxy(dataSource: string | DataSource) : (Anonymous function)

Parameters

Name | Type | Default Value | Flags | Description
--- | --- | --- | --- | ---
dataSource | `string | DataSource` |  |  |

### Namespace: juggler

### Interface: GenericService

A generic service interface with any number of methods that return a promise

### Function: getService

#### getService(ds: DataSource) : T

Get a service proxy from a LoopBack 3.x data source backed by service-oriented connectors such as `rest`, `soap`, and `grpc`.

Parameters

Name | Type | Default Value | Flags | Description
--- | --- | --- | --- | ---
ds | `DataSource` |  |  | A legacy data source